Bug 114101 - inputrc fails to recognize certain bindings
inputrc fails to recognize certain bindings
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-01-22 12:07 EST by Kyle Bateman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.05b-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-22 12:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix this bug (1.12 KB, patch)
2004-01-22 12:08 EST, Kyle Bateman
no flags Details | Diff

  None (edit)
Description Kyle Bateman 2004-01-22 12:07:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Bash does not properly process certain definitions from .inputrc which
bind a C-A-key to an action (for example C-A-j) can not be rebound. 
The only way to get it to recognize the bindings in .inputrc is to
reparse the file again (C-x, C-r) after bash has started.

The bug has been found by Chet (bash maintainer) and fixed.  I'm just
including the patch to see if it can get into the rpms.  I'll attach
the patch from Chet.

The fix will be in bash next release after 2.05b.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. bind C-A-j to any new action in .inputrc
2. start bash
3. the binding doesn't work
4. reparse setup file (C-x, C-r)
5. now the binding works

Additional info:
Comment 1 Kyle Bateman 2004-01-22 12:08:28 EST
Created attachment 97174 [details]
Patch to fix this bug
Comment 2 Tim Waugh 2004-01-22 12:37:45 EST
Thanks.  Please try bash-2.05b-36.
Comment 3 E. Choroba 2005-01-13 05:54:29 EST
Similar bug appears again in GNU bash, version 3.00.14(1)-release
(i386-redhat-linux-gnu), in this case I am not able to redefine \C-w,
neither can I bind it using the builtin "bind". \C-x,\C-r helps, but
only for a short while - once I hit enter (and a new readline is
started), the key is again bound to unix-word-rubout. I guess version
3.* should be a descendant of 2.* so maybe the bug has a different reason.
Comment 4 Tim Waugh 2005-01-13 06:11:59 EST
Your tty settings have C-w as a special character.  See bug #139384.

Note You need to log in before you can comment on or make changes to this bug.